%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate sequoia-keyring-linter

Name:           rust-sequoia-keyring-linter
Version:        1.0.1
Release:    1%{?dist}
Summary:        Linter for keyrings

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keyring-linter
Source0:         %{crates_source}
Patch:          sequoia-keyring-linter-fix-metadata.diff
Patch:          0001-build-fix-file-names-for-generated-manpage-and-shell.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A linter for keyrings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        GPL-2.0-or-later AND Apache-2.0 AND BSL-1.0 AND LGPL-2.0-or-later AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sq-keyring-linter
%{_mandir}/man1/sq-keyring-linter*
%{bash_completions_dir}/sq-keyring-linter.bash
%{fish_completions_dir}/sq-keyring-linter.fish
%{zsh_completions_dir}/_sq-keyring-linter

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.1 \
    %{buildroot}/%{_mandir}/man1/sq-keyring-linter.1
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.bash \
    %{buildroot}/%{bash_completions_dir}/sq-keyring-linter.bash
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.fish \
    %{buildroot}/%{fish_completions_dir}/sq-keyring-linter.fish
install -Dpm 0644 target/release/build/%{crate}-*/out/_sq-keyring-linter \
    %{buildroot}/%{zsh_completions_dir}/_sq-keyring-linter

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
